import { Application } from 'express';
export declare function setSwagger(app: Application, route: string, filePath: string, options?: SwaggerOptions): void;
export interface SwaggerOptions {
    swaggerUrl?: string;
    customJs?: string;
    customCss?: string;
    explorer?: boolean;
    host?: string;
    basePath?: string;
    schemes?: string[];
    swaggerOptions?: {
        validatorUrl?: string | null;
    };
    concatenate?: boolean;
}
