"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const expressValidation = require("express-validation");
function validateSchema(schema, options = {}) {
    return function (req, res, next) {
        const allOptions = Object.assign({}, {
            allowUnknownBody: false,
            allowUnknownParams: false,
        }, options);
        expressValidation.options(allOptions);
        expressValidation(schema)(req, res, next);
    };
}
exports.validateSchema = validateSchema;
